umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | Private Attributes | List of all members
Properties Class Reference

## Properties
int | property1`[get, set]`
string[] | property2`[get, set]`
System.IntPtr | property3`[get, set]`
string | Name`[get, set]`

## Private Attributes
string | name

## Detailed Description

Tests the following CSharpImport features: Properties https://bugs.kde.org/show_bug.cgi?id=375223 Mapping of array of primitive type to predefined datatype Mapping of .NET alias type to native C# type

## Member Data Documentation

## ◆ name

string Properties.name
| private

## Property Documentation

## ◆ Name

string Properties.Name
| get set

## ◆ property1

int Properties.property1
| get set

## ◆ property2

string [] Properties.property2
| get set

## ◆ property3

System.IntPtr Properties.property3
| get set

The documentation for this class was generated from the following file:

- test/import/csharp/properties.cs